Using server_git_repo in theforeman-puppet leads to a dependency cycle

02/28/2019 11:21 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Foreman modules   

Target version: 1.21.1   

Difficulty:  Fixed in Releases: 1.21.1, 1.22.0

Triaged: Yes Found in Releases: 1.21.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-pu

ppet/pull/682

  

Description

dependency cycles found: (File[/opt/puppetlabs/puppet/cache] => Class[Puppet::Server::Install] => 

Class[Puppet::Server::Config] => File[/opt/puppetlabs/puppet] => File[/opt/puppetlabs/puppet/cache

])

Associated revisions

Revision 964f110c - 03/03/2019 01:05 AM - Ewoud Kohl van Wijngaarden

Fixes #26199 - Fix dependency cycle when using git_repo

Previously this resulted in a dependency cycle. The tests didn't compile

so didn't catch it.

dependency cycles found: (File[/opt/puppetlabs/puppet/cache] => Class[Puppet::Server::Install] => Class[Puppet

::Server::Config] => File[/opt/puppetlabs/puppet] => File[/opt/puppetlabs/puppet/cache])

 a61e010e8d24f2e44ab1ebba0cc4382b05ce9d37 introduced this by managing

$sharedir in puppet::server::config. $vardir was managed in

puppet::server::install. Since sharedir is actually

/opt/puppetlabs/puppet and vardir is the cache directory within that, it

created a cycle.

History

#1 - 02/28/2019 11:36 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-puppet/pull/682 added

#2 - 03/03/2019 02:01 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-puppet|964f110cdb8e654572b96553607e0784674d2a8e.

#3 - 03/03/2019 02:20 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 1.22.0 added

#4 - 04/02/2019 07:04 PM - Tomer Brisker

- Fixed in Releases 1.21.1 added
